# Class CIM_DependencyContext

Note: The Configuration class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of Setting or SettingData instances. Therefore, this association is also deprecated but it is deprecated to "No value" because there are no equivalent relationships currently defined for the Setting or SettingData classes. This association is an anomaly because it defines what cannot be expressed for the components of the Configuration. Also, it singles out the Dependency association as opposed to allowing any relationships to be defined as "settings". Its use in the industry is discouraged. Deprecated description: This relationship associates a Dependency with one or more Configuration objects. For example, dependencies for a ComputerSystem could change based on the site or network to which the System is attached.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_DependencyContext

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | No value

Description

string

Note: The Configuration class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of Setting or SettingData instances. Therefore, this association is also deprecated but it is deprecated to "No value" because there are no equivalent relationships currently defined for the Setting or SettingData classes. This association is an anomaly because it defines what cannot be expressed for the components of the Configuration. Also, it singles out the Dependency association as opposed to allowing any relationships to be defined as "settings". Its use in the industry is discouraged. Deprecated description: This relationship associates a Dependency with one or more Configuration objects. For example, dependencies for a ComputerSystem could change based on the site or network to which the System is attached.

UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Context | CIM_DependencyContext | CIM_Configuration
Dependency | CIM_DependencyContext | CIM_Dependency

## Class Methods